contains(PARSER, QT) {
  DEFINES *= QT
} else {
contains(PARSER, LIBXML) {
  DEFINES *= LIBXML
} else {
  contains(PARSER, XERCES) {
    DEFINES *= XERCES
} else {
  DEFINES *= QT  
}
}

!contains(JPEG, no) {
  DEFINES *= JPEG
}

!isEmpty ( LIBXML_DIR ) {
  INCLUDEPATH *= $$LIBXML_DIR/include
}  

!isEmpty ( LIBXML_INC_DIR ) {
  INCLUDEPATH *= $$LIBXML_INC_DIR
}  

!isEmpty ( XERCES_DIR ) {
  INCLUDEPATH *= $$XERCES_DIR/include
}  

!isEmpty ( XERCES_INC_DIR ) {
  INCLUDEPATH *= $$XERCES_INC_DIR
}  

!isEmpty ( JPEG_DIR ) {
  INCLUDEPATH *= $$JPEG_DIR/include
}  

!isEmpty ( JPEG_INC_DIR ) {
  INCLUDEPATH *= $$JPEG_INC_DIR
}  

contains(DEFINES, XERCES) {
  !isEmpty ( XERCES_LIB_DIR ) {
    LIBS *= -L$$XERCES_LIB_DIR -lxerces-c
  } else {
    !isEmpty ( XERCES_DIR ) {
      LIBS *= -L$$XERCES_DIR/lib -lxerces-c
    } else {
      LIBS *= -lxerces-c
    }
  }
}  

contains(DEFINES, LIBXML) {
  !isEmpty ( LIBXML_LIB_DIR ) {
    LIBS *= -L$$LIBXML_LIB_DIR -lxml2
  } else {
    !isEmpty ( LIBXML_DIR ) {
      LIBS *= -L$$LIBXML_DIR/lib -lxml2
    } else {
      LIBS *= -lxml2
    }
  }
}  

contains(DEFINES, JPEG) {
  !isEmpty ( JPEG_LIB_DIR ) {
    LIBS *= -L$$JPEG_LIB_DIR -ljpeg
  } else {
    !isEmpty ( JPEG_DIR ) {
      LIBS *= -L$$JPEG_DIR/lib -ljpeg
    } else {
      LIBS *= -ljpeg
    }
  }
}  

