#include "X3D_WorldCoordTranslatorMulNavigationVisitor.h"
#include "X3D_Inline.h"
#include "X3D_Transform.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {


WorldCoordTranslatorMulNavigationVisitor::WorldCoordTranslatorMulNavigationVisitor()
: NavigationVisitor()
{
  define(Recorder<Inline>::getLeaveFunction(&WorldCoordTranslatorMulNavigationVisitor::leaveInline));
}

void WorldCoordTranslatorMulNavigationVisitor::leaveInline(Inline *I) 
{
  WorldCoordTranslatorStateVariables *stateVariables = Singleton<WorldCoordTranslatorStateVariables>::getInstance();
  stateVariables->popNode();
  
  SFNode P = stateVariables->getParent();
  
  P->removeChild(I);
  
  Transform *T = new Transform();
  
  // init T...
  
  P->addChild(T);
  T->addChild(I);
}

}
}
