#include "GL_Shape.h"
#include "X3D_Shape.h"

namespace X3DTK {
namespace GL {

Shape::Shape()
: X3DShapeNode()
{
  defineTypeName("Shape", "Shape");
}

Shape::Shape(const Shape &S)
: X3DShapeNode(S)
{
}

SFAbstractNode Shape::clone() const
{
  return new Shape(*this);
}

Shape::~Shape()
{
}

}
}
