#include "X3DOnePassProcessor.h"

#include <iostream>
using namespace std;


namespace X3DTK {

X3DOnePassProcessor::X3DOnePassProcessor()
: X3DProcessor(), graphTraversal(0)
{
}
  
X3DOnePassProcessor::~X3DOnePassProcessor()
{
}

void X3DOnePassProcessor::setWalker(Walker *walker)
{
  if (graphTraversal != 0)
    graphTraversal->setWalker(walker);
}

void X3DOnePassProcessor::setComponentVisitor(X3DComponentVisitor *component)
{
  if (graphTraversal != 0)
    graphTraversal->setComponentVisitor(component);
}

}
